Page MenuHomePhabricator

Update PhabricatorRepositoryManagementLookupUsersWorkflow to use ConduitCall
ClosedPublic

Authored by epriestley on Sep 2 2014, 10:52 AM.

Details

Summary

Ref T2783.

This updates PhabricatorRepositoryManagementLookupUsersWorkflow to use ConduitCall to retrieve information about the commit.

Test Plan

Ran bin/repository lookup-users rTESTe9683b64d3283f0b2d355fdbf231bc918b5ac0ab --trace and saw the information returned (by making a request to diffusion.querycommits as the omnipotent user, signed with the device key).

Mucked with cluster.addresses and saw requests rejected.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

hach-que updated this revision to Diff 25027.Sep 2 2014, 10:52 AM
hach-que retitled this revision from to Update PhabricatorRepositoryManagementLookupUsersWorkflow to use ConduitCall.
hach-que updated this object.
hach-que edited the test plan for this revision. (Show Details)
hach-que added a reviewer: epriestley.
hach-que edited the test plan for this revision. (Show Details)Sep 2 2014, 10:54 AM
hach-que edited edge metadata.
hach-que updated this revision to Diff 25538.Oct 3 2014, 3:24 PM

Use idx() to prevent PHP warnings

epriestley commandeered this revision.Jan 2 2015, 6:57 PM
epriestley edited reviewers, added: hach-que; removed: epriestley.

dis mine now

Krenair added a subscriber: Krenair.Jan 2 2015, 8:55 PM
epriestley updated this revision to Diff 26779.Jan 2 2015, 9:22 PM
  • Rebase on top of the various changes which have happened on this pathway.

I'll update the metadata in a sec..

epriestley updated this object.Jan 2 2015, 9:23 PM
epriestley edited the test plan for this revision. (Show Details)
epriestley edited reviewers, added: btrahan; removed: Blessed Reviewers.
btrahan accepted this revision.Jan 2 2015, 9:31 PM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Jan 2 2015, 9:31 PM
This revision was automatically updated to reflect the committed changes.